Bug 613624 - [abrt] crash in blueman-1.21-2.fc12: PulseAudioUtils.py:113:check_connected:PANotConnected: Connection to PulseAudio daemon is not established
[abrt] crash in blueman-1.21-2.fc12: PulseAudioUtils.py:113:check_connected:P...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:54c718e8
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-12 09:01 EDT by Alexander
Modified: 2011-06-29 09:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:39:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (865 bytes, text/plain)
2010-07-12 09:01 EDT, Alexander
no flags Details

  None (edit)
Description Alexander 2010-07-12 09:01:10 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/blueman-applet
component: blueman
executable: /usr/bin/blueman-applet
kernel: 2.6.33.6-147.fc13.i686
package: blueman-1.21-2.fc12
reason: PulseAudioUtils.py:113:check_connected:PANotConnected: Connection to PulseAudio daemon is not established
release: Fedora release 13 (Goddard)

backtrace
-----
PulseAudioUtils.py:113:check_connected:PANotConnected: Connection to PulseAudio daemon is not established

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/blueman/plugins/applet/PulseAudio.py", line 223, in setup_pa
    self.pulse_utils.LoadModule("module-bluetooth-device", args % (props["Address"], profile), load_cb)
  File "/usr/lib/python2.6/site-packages/blueman/main/PulseAudioUtils.py", line 296, in LoadModule
    self.check_connected()
  File "/usr/lib/python2.6/site-packages/blueman/main/PulseAudioUtils.py", line 113, in check_connected
    raise PANotConnected("Connection to PulseAudio daemon is not established")
PANotConnected: Connection to PulseAudio daemon is not established

Local variables in innermost frame:
self: <PulseAudioUtils object at 0x88d684c (blueman+main+PulseAudioUtils+PulseAudioUtils at 0x8613cc0)>

How to reproduce
-----
1. Click on Connect to PROplantronics device in Bluetooth manager
2. CRASH!
3. Profit!
Comment 1 Alexander 2010-07-12 09:01:12 EDT
Created attachment 431165 [details]
File: backtrace
Comment 2 Alexander 2010-07-14 02:31:06 EDT
Package: blueman-1.21-2.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Click on Connect to PROplantronics device in Bluetooth manager
2. CRASH!
3. Profit!
Comment 3 Bug Zapper 2011-06-01 10:09:40 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-29 09:39:47 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.